This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477819 - %packages options are odd
%packages options are odd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 17:17 EST by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 12:54:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-12-23 17:17:21 EST
Description of problem:

--defaults is global
--optional is per-group only.

This may not be a bug, but I found it confusing.
Comment 1 Chris Lumens 2009-01-20 10:57:32 EST
Would you also like a global --optional and a per-group --default option?

The thing that might be a bit confusing here is that %packages --default is the same as clicking Next on the package selection screen, while just listing the group gets you its default package set.
Comment 2 Bill Nottingham 2009-01-20 12:54:06 EST
Yeah, once I understood that it's not the same thing, it made more sense.

Note You need to log in before you can comment on or make changes to this bug.